PluginPathAwareFileSystemResourceLoader (Grails 3.2.7)
Date: 2017-03-06

Package: org.grails.core.io

## [Java] Class PluginPathAwareFileSystemResourceLoader

- org.grails.core.io.PluginPathAwareFileSystemResourceLoader

- FileSystemResourceLoader capable of understanding paths to plugins via the ResourceLocator interface

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `WEB_APP_DIRECTORY` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.core.io.FileSystemResourceLoader` | `CLASSPATH_URL_PREFIX`
    `class org.springframework.core.io.DefaultResourceLoader` | `CLASSPATH_URL_PREFIX`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected org.springframework.core.io.Resource` | `getResourceByPath(java.lang.String path)`
    `void` | `setSearchLocations(java.util.Collection<java.lang.String> searchLocations)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.io.FileSystemResourceLoader` | `org.springframework.core.io.FileSystemResourceLoader#getClassLoader(), org.springframework.core.io.FileSystemResourceLoader#getResource(java.lang.String), org.springframework.core.io.FileSystemResourceLoader#addProtocolResolver(org.springframework.core.io.ProtocolResolver), org.springframework.core.io.FileSystemResourceLoader#getProtocolResolvers(), org.springframework.core.io.FileSystemResourceLoader#setClassLoader(java.lang.ClassLoader), org.springframework.core.io.FileSystemResourceLoader#wait(long, int), org.springframework.core.io.FileSystemResourceLoader#wait(long), org.springframework.core.io.FileSystemResourceLoader#wait(), org.springframework.core.io.FileSystemResourceLoader#equals(java.lang.Object), org.springframework.core.io.FileSystemResourceLoader#toString(), org.springframework.core.io.FileSystemResourceLoader#hashCode(), org.springframework.core.io.FileSystemResourceLoader#getClass(), org.springframework.core.io.FileSystemResourceLoader#notify(), org.springframework.core.io.FileSystemResourceLoader#notifyAll()`
    `class org.springframework.core.io.DefaultResourceLoader` | `org.springframework.core.io.DefaultResourceLoader#getClassLoader(), org.springframework.core.io.DefaultResourceLoader#getResource(java.lang.String), org.springframework.core.io.DefaultResourceLoader#addProtocolResolver(org.springframework.core.io.ProtocolResolver), org.springframework.core.io.DefaultResourceLoader#getProtocolResolvers(), org.springframework.core.io.DefaultResourceLoader#setClassLoader(java.lang.ClassLoader), org.springframework.core.io.DefaultResourceLoader#wait(long, int), org.springframework.core.io.DefaultResourceLoader#wait(long), org.springframework.core.io.DefaultResourceLoader#wait(), org.springframework.core.io.DefaultResourceLoader#equals(java.lang.Object), org.springframework.core.io.DefaultResourceLoader#toString(), org.springframework.core.io.DefaultResourceLoader#hashCode(), org.springframework.core.io.DefaultResourceLoader#getClass(), org.springframework.core.io.DefaultResourceLoader#notify(), org.springframework.core.io.DefaultResourceLoader#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String WEB_APP_DIRECTORY

  - ### Method Detail

    - #### @java.lang.Override protected org.springframework.core.io.Resource getResourceByPath(java.lang.String path)

    - #### public void setSearchLocations(java.util.Collection<java.lang.String> searchLocations)